---
title: llarp::layers::platform::Traffic
summary: datum the os gives us that we forward to the flow layer as needed. 

---

# llarp::layers::platform::Traffic



datum the os gives us that we forward to the flow layer as needed. 


`#include <driver_base.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| EtherType_t | **[kind](Classes/structllarp_1_1layers_1_1platform_1_1Traffic.md#variable-kind)** <br>the kind of traffic it is  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[src](Classes/structllarp_1_1layers_1_1platform_1_1Traffic.md#variable-src)** <br>platform level source and destination addresses of this traffic  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[dst](Classes/structllarp_1_1layers_1_1platform_1_1Traffic.md#variable-dst)**  |
| std::vector< byte_t > | **[data](Classes/structllarp_1_1layers_1_1platform_1_1Traffic.md#variable-data)** <br>the datum itself  |

## Public Attributes Documentation

### variable kind

```cpp
EtherType_t kind;
```

the kind of traffic it is 

### variable src

```cpp
PlatformAddr src;
```

platform level source and destination addresses of this traffic 

### variable dst

```cpp
PlatformAddr dst;
```


### variable data

```cpp
std::vector< byte_t > data;
```

the datum itself 

-------------------------------

Updated on 2023-01-23 at 14:22:33 +0000